# Interface FormAttachmentElementJson

Defines how one or more attachments can participate in the form. When present in the form, the user has the ability to upload an attachment specific to the form element. See https://developers.arcgis.com/web-map-specification/objects/formAttachmentElement/.

interface FormAttachmentElementJson {
attachmentKeyword?: string;
description?: string;
editable?: boolean;
inputType?: {
type:
| "image"
| "video"
| "attachment"
| "audio"
| "document"
| "signature";
};
label?: string;
type: "attachment";
visibilityExpression?: string;
}

#####
Index

### Properties

attachmentKeyword?
description?
editable?
inputType?
label?
type
visibilityExpression?

##
Properties

### `Optional` attachmentKeyword

attachmentKeyword?: string

A string to identify the attachment(s). When a file is attached using the form, this property is used to set the value of the keywords field for the attachment. When a form is displaying existing attachments, this property is used to query attachments using an exact match on the keywords field.

### `Optional` description

description?: string

A string that describes the element in detail.

### `Optional` editable

editable?: boolean

Indicates whether the attachments can be edited. If not present, the default is true.

### `Optional` inputType

inputType?: {
type:
| "image"
| "video"
| "attachment"
| "audio"
| "document"
| "signature";
}

The input user interface to use for the attachment.

#### Type declaration

- ##### type:
  | "image"
  | "video"
  | "attachment"
  | "audio"
  | "document"
  | "signature"

  The input type identifier.

### `Optional` label

label?: string

A string value indicating what the element represents.

### type

type

String value indicating which type of element to use.

### `Optional` visibilityExpression

visibilityExpression?: string

A reference to an Arcade expression that returns a boolean value. When this expression evaluates to true, the element is displayed. When the expression evaluates to false the element is not displayed. If no expression is provided, the default behavior is that the element is displayed.